motd messaging changes regarding apt updates

Bug #1842508 reported by Brian Murray on 2019-09-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-notifier (Ubuntu)
Medium
Brian Murray
Trusty
Medium
Brian Murray

Bug Description

[Impact]
Changes to wording regarding the ESM support available for Trusty. Additionally, reorder command output after UX review.

[Test Case]
test_motd.py has unit tests for all of the combinations of upgrade types possible. It's also possible to run "/usr/lib/update-notifier/apt-check --human-readable" on a system with ESM configured (enabled or disabled).

[Regression Potential]
Only strings are changing in this update and this could be considered a follow up SRU to bug 1822340 which created no issues.

[Notice]
This is only being SRU'ed to Ubuntu 14.04 (as with the previous SRU) as Ubuntu 16.04 and Ubuntu 18.04 will have some additional changes.

Changed in update-notifier (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Brian Murray (brian-murray)
Changed in update-notifier (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Brian Murray (brian-murray)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 3.192.26

---------------
update-notifier (3.192.26) eoan; urgency=medium

  * data/apt_check.py: modify wording and output regarding ESM support.
    (LP: #1842508)

 -- Brian Murray <email address hidden> Tue, 03 Sep 2019 16:47:51 -0700

Changed in update-notifier (Ubuntu):
status: In Progress → Fix Released

Hello Brian, or anyone else affected,

Accepted update-notifier into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/0.154.1ubuntu7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in update-notifier (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-trusty
Brian Murray (brian-murray) wrote :

The package 0.154.1ubuntu7 built so the units must have passed, here's the excerpt though:

cd tests && ./test_motd.py
........
----------------------------------------------------------------------
Ran 8 tests in 0.006s

OK

Brian Murray (brian-murray) wrote :

Before installing the package from -proposed:

bdmurray@clean-trusty-amd64:~$ apt-cache policy update-notifier
update-notifier:
  Installed: 0.154.1ubuntu6
  Candidate: 0.154.1ubuntu7
  Version table:
     0.154.1ubuntu7 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
 *** 0.154.1ubuntu6 0
        500 http://ubuntu.osuosl.org/ubuntu/ trusty-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     0.154.1 0
        500 http://ubuntu.osuosl.org/ubuntu/ trusty/main amd64 Packages
bdmurray@clean-trusty-amd64:~$ /usr/lib/update-notifier/apt-check --human-readable
18 updates can be installed immediately.
10 of these updates are security updates.

After installing the package from -proposed:

bdmurray@clean-trusty-amd64:~$ /usr/lib/update-notifier/apt-check --human-readable
16 updates can be installed immediately.
10 of these updates are security updates.
To see these additional updates run: apt list --upgradable

Chad Smith (chad.smith) wrote :

Testing before and after -proposed upgrade to update-notifier-common v. 0.154.1ubuntu7 with ubuntu-advantage-tools v.19.5+

--- before ---
root@dev-t:~/ubuntu-advantage-client# /usr/lib/update-notifier/apt-check --human
-readable
Extended Security Maintenance (ESM) is not enabled.

3 updates can be installed immediately.
0 of these updates are security updates.

Enable ESM to receive 30 additional security updates.
See 'ua enable esm' or https://ubuntu.com/esm

--- after ---
root@dev-t:~/ubuntu-advantage-client# /usr/lib/update-notifier/apt-check --human
-readable
UA Infrastructure Extended Security Maintenance (ESM) is not enabled.

2 updates can be installed immediately.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable

Enable UA Infrastructure ESM to receive 30 additional security updates.
See https://ubuntu.com/esm or run: sudo ua status

It's a little busy with calls to action, I'll run this by Josh Powers today to see this is significant enough to warrant any changes on our side.

I'll circle back on this with any feedback.

Joshua Powers (powersj) wrote :

The only thing that I see is that the URL was suppose to change as well:

See https://ubuntu.com/advantage or run: sudo ua status

Brian Murray (brian-murray) wrote :

Well that's a fail then. I'll reupload it.

tags: added: verification-failed verification-failed-trusty
removed: verification-needed verification-needed-trusty
Steve Langasek (vorlon) wrote :

Hello Brian, or anyone else affected,

Accepted update-notifier into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/update-notifier/0.154.1ubuntu8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-trusty
removed: verification-failed verification-failed-trusty
Chad Smith (chad.smith) wrote :
Download full text (5.3 KiB)

Validation complete on trusty with new ua-client:

# 0. Install latest proposed update-notifier-common
ubuntu@dev-t3:~$ apt-cache policy update-notifier-common
update-notifier-common:
  Installed: 0.154.1ubuntu8
  Candidate: 0.154.1ubuntu8
  Version table:
 *** 0.154.1ubuntu8 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-proposed/main amd64 Packages
        100 /var/lib/dpkg/status

# 1. Unattached system with ESM disabled

ubuntu@dev-t3:~$ ua status

SERVICE AVAILABLE DESCRIPTION
cc-eal no Common Criteria EAL2 Provisioning Packages
esm-infra yes UA Infra: Extended Security Maintenance
fips no NIST-certified FIPS modules
fips-updates no Uncertified security updates to FIPS modules
livepatch yes Canonical Livepatch service

This machine is not attached to a UA subscription.
See https://ubuntu.com/advantage

# 2. Force motd update for esm-related packages
sudo /usr/lib/update-notifier/update-motd-updates-available --force

UA Infrastructure Extended Security Maintenance (ESM) is not enabled.

2 updates can be installed immediately.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable

Enable UA Infrastructure ESM to receive 52 additional security updates.
See https://ubuntu.com/advantage or run: sudo ua status

# 3. ssh as non-root and see dynamic motd
csmith@uptown:~/src$ ssh ubuntu@10.10.7.119
Welcome to Ubuntu 14.04.6 LTS (GNU/Linux 5.3.0-10-generic x86_64)

 * Documentation: https://help.ubuntu.com/

  System information as of Mon Oct 7 19:07:46 UTC 2019

  System load: 0.76 Processes: 19
  Usage of /home: unknown Users logged in: 0
  Memory usage: 0% IP address for eth0: 10.10.7.119
  Swap usage: 65%

  Graph this data and manage this system at:
    https://landscape.canonical.com/

UA Infrastructure Extended Security Maintenance (ESM) is not enabled.

2 updates can be installed immediately.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable

Enable UA Infrastructure ESM to receive 52 additional security updates.
See https://ubuntu.com/advantage or run: sudo ua status

New release '16.04.6 LTS' available.
Run 'do-release-upgrade' to upgrade to it.

Last login: Mon Oct 7 19:07:46 2019 from 10.10.7.1

# Install latest

# On Unattached system with ESM disabled:

ubuntu@dev-t3:~$ sudo /usr/lib/update-notifier/apt-check --human-readable
UA Infrastructure Extended Security Maintenance (ESM) is not enabled.

2 updates can be installed immediately.
0 of these updates are security updates.
To see these additional updates run: apt list --upgradable

Enable UA Infrastructure ESM to receive 52 additional security updates.
See https://ubuntu.com/advantage or run: sudo ua status

# On Attached system with ESM enabled. updates are properly listed
ubuntu@dev-t3:~$ sudo /usr/lib/update-notifier/apt-check --human-readable
UA Infrastructure Extended Security Maintenance (ESM) is enabled.

54 updates can be installed immediately.
52 of these updates are provided through UA Infrastructure ESM.
0 of these updates are security updates.
To see...

Read more...

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.154.1ubuntu8

---------------
update-notifier (0.154.1ubuntu8) trusty; urgency=medium

  * data/apt_check.py: Update url for learning about Ubuntu Advantage.
    (LP: #1842508)

 -- Brian Murray <email address hidden> Thu, 26 Sep 2019 14:50:09 -0700

Changed in update-notifier (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for update-notifier has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers